<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Initial qemu pull-mode differential backup</h1>

<ul>
  <li>expose the bitmap over NBD for third-party access</li>
  <li>create a new bitmap on each backup</li>
  <li>transfer which bitmap is enabled; all others are disabled</li>
  <li>merge sequence of bitmaps to perform differential backup</li></li>
</ul>

<p>Time elapses
  <table>
    <tr>
      <td style="vertical-align: top;">
	<p style="font-size:20px;">Image.qcow2</p>
	<table class="disk">
	  <tr>
	    <th style="visibility:hidden;">b0</th>
	    <th>A</th><th>-</th><th>A</th><th>B</th>
	    <th>B</th><th>B</th><th>-</th><th>-</th>
	  </tr>
	  <tr style="color:green;">
	    <td style="font-style: italic;">b0</td>
	    <td>-</td><td>-</td><td>-</td><td>X</td>
	    <td>X</td><td>X</td><td>-</td><td>-</td>
	  </tr>
	</table>
      </td>
      <td style="vertical-align: top;">
	<p style="font-size:20px;">FullBackup.qcow2</p>
	<table class="disk">
	  <tr>
	    <th>A</th><th>-</th><th>A</th><th>A</th>
	    <th>-</th><th>A</th><th>-</th><th>-</th>
	  </tr>
	</table>
      </td>
    </tr>
  </table>
</p>

<p class="attribution">See also this 2018 KVM Forum presentation:
  <a href="https://www.youtube.com/watch?v=zQK5ANionpU">Facilitating
    Incremental Backup</a>, Eric Blake</p>
